#!/bin/bash
#
# workaround_log 'CONTENT ALREADY PUBLISHED, DROP MASTER DB TO REPUBLISH'

# {{cms_tools_dir}}/bin/publishall.jpif
# {{cms_tools_dir}}/bin/bulkpublish.jpif

set -e

LOGFILE="/var/log/coremedia/publish_content.log"

. /etc/profile

# TODO
# check IORs!

if [ -d {{ deployment_tmp_directory }}/test-data/content ]
then

  echo "" > "${LOGFILE}"

  echo "check in all content" >> "${LOGFILE}"
  {{ cms_tools_dir }}/bin/cm bulkpublish \
    --user admin \
    --password admin \
    --checkin >> "${LOGFILE}"

  echo "publish content" >> "${LOGFILE}"
  {{ cms_tools_dir }}/bin/cm publishall \
    -a \
    -cq \
    "{{publishall_contentquery}}" \
    -t {{ publishall_threads }} \
    {{ cms_ior }} admin admin \
    {{ mls_ior }} admin admin >> "${LOGFILE}"

  touch /etc/coremedia/content_published

fi

# action :publishall_content do
#   raise "Cannot publish content, content dir does not exist at #{new_resource.content_dir}" unless ::File.exist?(new_resource.content_dir)
#   raise "Cannot publish content, Content Management Server Tools not found at #{new_resource.cms_tools_dir}" unless ::File.exist?("#{new_resource.cms_tools_dir}/bin/publishall.jpif")
#   raise "Cannot publish content, Content Management Server Tools not found at #{new_resource.cms_tools_dir}" unless ::File.exist?("#{new_resource.cms_tools_dir}/bin/bulkpublish.jpif")
#   publish_marker_file = "#{new_resource.content_dir}/#{CONTENT_PUBLISHED}"
#   workaround_log 'CONTENT ALREADY PUBLISHED, DROP MASTER DB TO REPUBLISH' if ::File.exist?(publish_marker_file)
#
#   execute "check in all content from #{new_resource.content_dir}" do
#     command "#{new_resource.cms_tools_dir}/bin/cm bulkpublish -u admin -p admin -c"
#     timeout new_resource.timeout
#     user new_resource.user
#     group new_resource.group
#     not_if { ::File.exist?(publish_marker_file) }
#   end
#
#   content_publish = execute "publish content from #{new_resource.content_dir}" do
#     command "#{new_resource.cms_tools_dir}/bin/cm publishall -a -cq \"#{new_resource.publishall_contentquery}\" -t #{new_resource.publishall_threads}
# #{new_resource.cms_ior} admin admin #{new_resource.mls_ior} admin admin"
#     timeout new_resource.timeout
#     user new_resource.user
#     group new_resource.group
#     not_if { ::File.exist?(publish_marker_file) }
#   end
#
#   file publish_marker_file do
#     owner new_resource.user
#     group new_resource.group
#     action :nothing
#     subscribes :create, content_publish, :immediately
#   end
# end
